/*
 * Class TYPE [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_238 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_238 [] = {0xFF01,237,237,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_238 [] = {0xFF01,237,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_238 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_238 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_238 [] = {0xFF01,237,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_238 [] = {0xFF01,237,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_238 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_238 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_238 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_238 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_238 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_238 [] = {237,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_238 [] = {0xFF01,237,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_238 [] = {0xFF01,228,0xFFFF};
static const EIF_TYPE_INDEX egt_15_238 [] = {0xFF01,237,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_238 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_238 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_238 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_238 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_238 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_238 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_238 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_238 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_238 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_238 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_26_238 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_27_238 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_238 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_238[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_238), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_238), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8473, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_238), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_238), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_238), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_238), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_238), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_238), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_238), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_238), 8481, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_238), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_238), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_238), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_238), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8468, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8474, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8475, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1449, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_238), 8465, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_238), 8466, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8467, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8469, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8470, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8471, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8472, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_238), 8476, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_238), 8477, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_238), 8478, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_238), 8479, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_238), 8480, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_238), 8483, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8484, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8485, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_238), 8486, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_238), 8487, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_238), 8488, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_238), 8489, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 8490, 0},
	{EIF_GENERIC(egt_26_238), 8491, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_238), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_238), 8482, 0xFFFFFFFF},
};
void Init238(void)
{
	IDSC(desc_238, 0, 237);
	IDSC(desc_238 + 1, 1, 237);
	IDSC(desc_238 + 32, 248, 237);
	IDSC(desc_238 + 34, 203, 237);
	IDSC(desc_238 + 38, 11, 237);
	IDSC(desc_238 + 60, 336, 237);
}


#ifdef __cplusplus
}
#endif
